'''
Created on Dec 19, 2016

@author: klaehn
'''

from engine.engine import engine
from power_sensor.power_sensor import power_sensor
from time import time
import numpy as np

class gate_handler:
    def __init__(self):
        self.__engine = engine(13, 19)
        self.__power_sensor = power_sensor(1, 0x40)
        self.__max_current_up = 315
        self.__max_current_down = 280
        self.__max_time_open = 250
        self.__max_time_close = 250
        self.__timeout_open = 0
        self.__timeout_close = 0
        return

    def open(self):
        self.__timeout_open = time() + self.__max_time_open
        self.__engine.run_up()
        power = np.array([])
        timestamps = np.array([])
        while(time() < self.__max_time_open):
            timestamps = np.append(timestamps, time())
            power = np.append(power, self.__power_sensor.power_mw())
            